# SubServer (SubServers.Sync)

net.ME1312.SubServers.Sync.Server

## Class SubServer

- java.lang.Object
- - net.md_5.bungee.BungeeServerInfo
  - - net.ME1312.SubServers.Sync.Server.Server
    - - net.ME1312.SubServers.Sync.Server.SubServer

All Implemented Interfaces:
  net.md_5.bungee.api.config.ServerInfo

    public class SubServer
    extends Server

SubServer Class

### Constructor Summary

Constructors
Constructor and Description
`SubServer(java.lang.String name, java.lang.String display, java.net.InetSocketAddress address, java.lang.String motd, boolean hidden, boolean restricted, boolean running)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isRunning()` Gets the Running Status
`void` `setRunning(boolean running)` Sets the Running Status

### Methods inherited from class net.ME1312.SubServers.Sync.Server.Server

`getDisplayName, getMotd, isHidden, isRestricted, setDisplayName, setHidden, setMotd, setRestricted`

### Methods inherited from class net.md_5.bungee.BungeeServerInfo

`addPlayer, canAccess, equals, getAddress, getName, getPacketQueue, getPlayers, hashCode, ping, ping, removePlayer, sendData, sendData, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SubServer

    public SubServer(java.lang.String name,
                     java.lang.String display,
                     java.net.InetSocketAddress address,
                     java.lang.String motd,
                     boolean hidden,
                     boolean restricted,
                     boolean running)

### Method Detail

#### isRunning

    public boolean isRunning()

Gets the Running Status

Returns:
  Running Status

#### setRunning

    public void setRunning(boolean running)

Sets the Running Status

Parameters:
  `running` - Running Status